#include <bits/stdc++.h>

using namespace std;

int main(){
    int n;
    cin>>n;
    vector<pair<long long,long long> > v;
    for(int i=0;i<n;i++){
        long long a;
        double p;
        cin>>a>>p;
        long long h=((p+0.00001)*100);
        v.push_back(make_pair(h,a));
    }
    int x=146909,y=5464;
    cout<<x<<"."<<y;
}